Index: amarok-kf5-2.9.80+git20210917/src/toolbar/VolumePopupButton.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/toolbar/VolumePopupButton.cpp
+++ amarok-kf5-2.9.80+git20210917/src/toolbar/VolumePopupButton.cpp
@@ -146,12 +146,12 @@ VolumePopupButton::mouseReleaseEvent( QM
 void
 VolumePopupButton::wheelEvent( QWheelEvent * event )
 {
-    //debug() << "delta: " << event->delta();
+    //debug() << "angleDelta.x: " << event->angleDelta().x() << angleDelta.y: " << event->angleDelta().y();
     event->accept();
 
     EngineController* const ec = The::engineController();
 
-    const int volume = qBound( 0, ec->volume() + event->delta() / 40 , 100 );
+    const int volume = qBound( 0, ec->volume() + event->angleDelta().y() / 40 , 100 ); //FIXME: check if .x() must be used
     ec->setVolume( volume );
 }
 
Index: amarok-kf5-2.9.80+git20210917/src/widgets/AnimatedLabelStack.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/widgets/AnimatedLabelStack.cpp
+++ amarok-kf5-2.9.80+git20210917/src/widgets/AnimatedLabelStack.cpp
@@ -379,7 +379,7 @@ AnimatedLabelStack::wheelEvent( QWheelEv
 
         setPulsating( false );
 
-        if ( we->delta() < 0 )
+        if ( we->angleDelta().y() < 0 ) //FIXME: check if .x() must be used
         {
             ++m_visibleIndex;
             if ( m_visibleIndex >= m_data.count() )
Index: amarok-kf5-2.9.80+git20210917/src/widgets/PixmapViewer.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/widgets/PixmapViewer.cpp
+++ amarok-kf5-2.9.80+git20210917/src/widgets/PixmapViewer.cpp
@@ -112,7 +112,7 @@ PixmapViewer::paintEvent( QPaintEvent *e
 void
 PixmapViewer::wheelEvent( QWheelEvent *event )
 {
-    qreal f = m_zoomFactor + 0.001 * event->delta();
+    qreal f = m_zoomFactor + 0.001 * event->angleDelta().y(); //FIXME: check if .x() must be used
     qreal ratio = 32.0 / m_pixmap.width();
     if( f < ratio )
         f = ratio;
Index: amarok-kf5-2.9.80+git20210917/src/widgets/SliderWidget.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/widgets/SliderWidget.cpp
+++ amarok-kf5-2.9.80+git20210917/src/widgets/SliderWidget.cpp
@@ -97,7 +97,7 @@ Amarok::Slider::wheelEvent( QWheelEvent
 
     // Position Slider (horizontal)
     // only used for progress slider now!
-    int step = e->delta() * 24;
+    int step = e->angleDelta().y() * 24; //FIXME: check if .x() must be used
     int nval = value() + step;
     nval = qMax(nval, minimum());
     nval = qMin(nval, maximum());
@@ -269,7 +269,7 @@ Amarok::VolumeSlider::contextMenuEvent(
 void
 Amarok::VolumeSlider::wheelEvent( QWheelEvent *e )
 {
-    const uint step = e->delta() / Amarok::VOLUME_SENSITIVITY;
+    const uint step = e->angleDelta().y() / Amarok::VOLUME_SENSITIVITY; //FIXME: check if .x() must be used
     QSlider::setValue( QSlider::value() + step );
 
     Q_EMIT sliderReleased( value() );
Index: amarok-kf5-2.9.80+git20210917/src/widgets/VolumeDial.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/widgets/VolumeDial.cpp
+++ amarok-kf5-2.9.80+git20210917/src/widgets/VolumeDial.cpp
@@ -84,7 +84,7 @@ bool VolumeDial::eventFilter( QObject *o
             if ( o != this )
             {
                 QPoint pos( 0, 0 ); // the event needs to be on us or nothing will happen
-                QWheelEvent nwev( pos, mapToGlobal( pos ), wev->delta(), wev->buttons(), wev->modifiers() );
+                QWheelEvent nwev( pos, mapToGlobal( pos ), wev->pixelDelta(), wev->angleDelta(), wev->buttons(), wev->modifiers(), wev->phase(), wev->inverted(), wev->source() );
                 wheelEvent( &nwev );
             }
             else
